## RepeatRuleDateTime

Description

Wrap the DateTime class to make it friendlier to passing in random strings from iCalendar objects, and especially the random stuff used to identify timezones. We also add some utility methods and stuff too, in order to simplify some of the operations we need to do with dates.

Located in /inc/RRule-v2.php (line 86)

    DateTime
       |
       --RepeatRuleDateTime

Variable Summary
static mixed $Format
Method Summary
RepeatRuleDateTime __construct ([ $date = null], [ $dtz = null])
void AsDate ()
void day ()
void epoch ()
void hour ()
void minute ()
void month ()
void RFC5545 ()
void second ()
void setDate ([ $year = null], [ $month = null], [ $day = null])
void setTimeZone ( $tz)
void UTC ()
void year ()
void __toString ()
Variables
static mixed $Format = 'c' (line 88)

- access: public

Methods
Constructor __construct (line 92)

- access: public

RepeatRuleDateTime __construct ([ $date = null], [ $dtz = null])

- $date
- $dtz

Redefinition of:

DateTime::constructor __construct ( )

AsDate (line 139)

- access: public

void AsDate ()
day (line 200)
void day ()
epoch (line 216)
void epoch ()
hour (line 204)
void hour ()
minute (line 208)
void minute ()
month (line 196)
void month ()
RFC5545 (line 156)

- access: public

void RFC5545 ()
second (line 212)
void second ()
setDate (line 184)
void setDate ([ $year = null], [ $month = null], [ $day = null])

- $year
- $month
- $day

Redefinition of:

DateTime::setDate ( )

setTimeZone (line 174)

- access: public

void setTimeZone ( $tz)

- $tz

Redefinition of:

DateTime::setTimezone ( )

UTC (line 144)

- access: public

void UTC ()
year (line 192)
void year ()
__toString (line 134)

- access: public

void __toString ()

#### Inherited Methods

Inherited From DateTime (Internal Class)

> constructor __construct ( )
> format ( )
> getOffset ( )
> getTimezone ( )
> modify ( )
> setDate ( )
> setISODate ( )
> setTime ( )
> setTimezone ( )

Class Constants

#### Inherited Constants

Inherited from DateTime (Internal Class)

> ATOM = 'Y-m-d\\TH:i:sP'
> COOKIE = 'l, d-M-y H:i:s T'
> ISO8601 = 'Y-m-d\\TH:i:sO'
> RFC822 = 'D, d M y H:i:s O'
> RFC850 = 'l, d-M-y H:i:s T'
> RFC1036 = 'D, d M y H:i:s O'
> RFC1123 = 'D, d M Y H:i:s O'
> RFC2822 = 'D, d M Y H:i:s O'
> RFC3339 = 'Y-m-d\\TH:i:sP'
> RSS = 'D, d M Y H:i:s O'
> W3C = 'Y-m-d\\TH:i:sP'

Documentation generated on Sat, 17 Apr 2010 12:32:29 +1200 by phpDocumentor 1.3.2